/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import { Contract, Signer, utils } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type {
  IPluginLogic,
  IPluginLogicInterface,
} from "../../../../../contracts/core/logics/interfaces/IPluginLogic";

const _abi = [
  {
    inputs: [
      {
        internalType: "address",
        name: "pluginAddress",
        type: "address",
      },
    ],
    name: "getPluginInfo",
    outputs: [
      {
        components: [
          {
            internalType: "bool",
            name: "isEnable",
            type: "bool",
          },
          {
            internalType: "address",
            name: "tokenAddress",
            type: "address",
          },
          {
            internalType: "uint256",
            name: "amount",
            type: "uint256",
          },
        ],
        internalType: "struct OspDataTypes.PluginStruct",
        name: "",
        type: "tuple",
      },
    ],
    stateMutability: "view",
    type: "function",
  },
  {
    inputs: [
      {
        internalType: "address",
        name: "pluginAddress",
        type: "address",
      },
      {
        internalType: "address",
        name: "addr",
        type: "address",
      },
    ],
    name: "pluginPurchased",
    outputs: [
      {
        internalType: "bool",
        name: "",
        type: "bool",
      },
    ],
    stateMutability: "view",
    type: "function",
  },
  {
    inputs: [
      {
        internalType: "address",
        name: "pluginAddress",
        type: "address",
      },
    ],
    name: "purchasePlugin",
    outputs: [],
    stateMutability: "payable",
    type: "function",
  },
] as const;

export class IPluginLogic__factory {
  static readonly abi = _abi;
  static createInterface(): IPluginLogicInterface {
    return new utils.Interface(_abi) as IPluginLogicInterface;
  }
  static connect(
    address: string,
    signerOrProvider: Signer | Provider
  ): IPluginLogic {
    return new Contract(address, _abi, signerOrProvider) as IPluginLogic;
  }
}
